Summary:  Tools for certain user account management tasks
Name:     usermode
Version:  1.114
Release:  7%{?dist}
License:  GPLv2+
URL:      https://pagure.io/usermode
Source:   https://releases.pagure.org/%{name}/%{name}-%{version}.tar.xz
Source1:  config-util
BuildRequires: make, gcc
BuildRequires: gettext, glib2-devel, intltool, util-linux
BuildRequires: libblkid-devel, libselinux-devel, libuser-devel
BuildRequires: pam-devel, perl-XML-Parser
Requires: pam, passwd, util-linux

%global _hardened_build 1

%description
The usermode package contains the userhelper program, which can be used to
allow configured programs to be run with superuser privileges by ordinary
users.

%prep
%autosetup

%build
%configure --with-selinux --without-fexecve --without-gtk

%make_build

%install
%make_install

install -D -p -m 644 %{SOURCE1} \
	%{buildroot}/etc/security/console.apps/config-util

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc ChangeLog NEWS README
%config(noreplace) /etc/security/console.apps/config-util
%attr(4711,root,root) /usr/sbin/userhelper
%{_bindir}/consolehelper
%{_mandir}/man8/*


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.114-7
- [Type] other
- [DESC] Revert "Add usermode-gtk for beesu"

* Wed Sep 25 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.114-6
- [Type] other
- [DESC] Add usermode-gtk for beesu

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.114-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.114-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.114-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.114-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 25 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.114-1
- Initial building.
